function plot_frames_SigFreq_HF(FFrameSignal,HFFrameSignal,FrameSignal,HFrameSignal,fs,linewidth,fontsize,pflag,time) 
% PLOT_FRAMES_SIGFREQ_HF Plot in subsequent frames the 2 given signals and their spectra
% This is a Demo Specific Function
% 
%Input
% FrameSignal:  time-domain signal 
% HFrameSignal: time-domain signal (windowed)
% FFrameSignal:  frequency domain 
% HFFrameSignal: frequency domain (windowed)
% fs: sampling frequency
% linewidth: linewidth for the plot function
% fontsize: fontsize for the plot function
% pflag: if set, pause for 'time' in sec
% time: time to pause 
% 

% Project: Speech Processing Demos
% Course: Speech & Pattern Recognition
%
% Updated: Nov.15, 2004
% Created: Oct. 29, 2004
% Katsamanis Nassos, Pitsikalis Vassilis
% email: [nkatsam,vpitsik]@cs.ntua.gr
% http://cvsp.cs.ntua.gr
% ECE, NTUA
 
for i=1:size(FFrameSignal,2)
	subplot(2,1,1),
	plot(FrameSignal(:,i),'r');hold on;
    	plot(HFrameSignal(:,i),'b');hold off;
	subplot(2,1,2),
    	plot_spectrum(FFrameSignal(:,i),fs,linewidth,'',fontsize,'r');hold on;
    	plot_spectrum(HFFrameSignal(:,i),fs,linewidth,'',fontsize,'b');hold off;
	if pflag,pause(time),end
end
