function plot_spectrum(FSignal,fs,linewidth,titlestr,fontsize,col);
%function plot_spectrum(FSignal,fs,linewidth,titlestr,fontsize,col);
% PLOT_SPECTRUM plots the input signal (can be the  absolute magnitude of the FFT) normalizing the 
% x-frequency axis to Hz
%
% Input
% Fsignal: signal to plot 
% fs: sampling frequency , used for time normalization
% linewidth: linewidth for plot
% titlestr: title for the plot
% fontsize: fontsize for the plot :
% col: colour for the plot :
%

% Project: Speech Processing Demos
% Course: Speech & Pattern Recognition
%
% Updated: Nov.15, 2004
% Created: Oct. 29, 2004
% Katsamanis Nassos, Pitsikalis Vassilis
% email: [nkatsam,vpitsik]@cs.ntua.gr
% http://cvsp.cs.ntua.gr
% ECE, NTUA

plot([0:size(FSignal,1)-1]*fs/2/size(FSignal,1),20*log10(abs(FSignal)),col);
set(gca,'fontsize',fontsize)
xlabel('Frequency (Hz)','fontsize',fontsize);
ylabel('|X_n(e^{j2\piFT}| (db)','fontsize',fontsize)
title(titlestr,'fontsize',fontsize);

