function plot_speech(y,fs,linewidth,titlestr,fontsize);
%function plot_speech(y,fs,linewidth,titlestr,fontsize,newfig);
% PLOT_SPEECH plots a speech signaal by normalizing the time axis
% 
% Input
% y: signal to plot
% fs: sampling frequency , used for time normalization
% titlestr: title for the plot
% fontsize: fontsize for the plot :
%

% Project: Speech Processing Demos
% Course: Speech & Pattern Recognition
%
% Updated: Nov.15, 2004
% Created: Oct. 29, 2004
% Katsamanis Nassos, Pitsikalis Vassilis
% email: [nkatsam,vpitsik]@cs.ntua.gr
% http://cvsp.cs.ntua.gr
% ECE, NTUA


t=[1:length(y)]./fs;
plot(t,y,'linewidth',linewidth);
axis([0 t(end) min(y) max(y)]);
set(gca,'fontsize',fontsize-2);
xlabel('Time (sec)','fontsize',fontsize);
ylabel('Amplitude','fontsize',fontsize);
title(titlestr,'fontsize',fontsize+2);
