%script speechDemo_config_spec_params();
%SCRIPT SPEECHDEMO_CONFIG_SPEC_PARAMS is used to set various parameters needed for ploting, wavreading, and other functions
% 
% parameters and description: 
% 
% phrase: Select Phrase wav identifier (this is used in the filename of the phrase)
% linewidth, fontsize: Specify plot parameters to use, so as to configure the plots globaly
% Fs, nbits, skiplen: Specify wav parameters, sampling frequency, #of bits, header length of sphere format 
% recsep, labelinds: Parameters used by getfield_byfname function, record string separator index of the label, as it apears in the format of the filenames 
% fontsize_infigtext: Fontsize to use for text that is placed in a figure with the text function
% wsep: word separator used in *.phn file that contains the phoneme transcription of a phrase
%
% Project: Speech Processing Demos
% Course: Speech & Pattern Recognition

% Updated: Nov.15, 2004
% Created: Oct. 29, 2004
% Katsamanis Nassos, Pitsikalis Vassilis
% email: [nkatsam,vpitsik]@cs.ntua.gr
% http://cvsp.cs.ntua.gr
% ECE, NTUA


% Select Phrase wav identifier (this is used in the filename of the phrase)
phrase='si2294';

% Specify plot parameters to use, so as to configure the plots globaly
linewidth=1; 
fontsize=12; 

% Specify wav parameters, in case of raw read  (according to TIMIT data specifications)
% alternatively use readsph function from voicebox, or convert to wav and use MATLAB's wavread
Fs=16000;  	% sampling frequency
nbits=16; 	% of bits 	
skiplen=1024; 	% header length of sphere format that will be skipped in order to access the data themselves 

% Parameters used by getfield_byfname function 
recsep='_'; 	% record string separator
labelinds=5;	% index of the label, as it apears in the format of the filenames 

% Fontsize to use for text that is placed in a figure with the text function
fontsize_infigtext = 8; 
% word separator used in *.phn file that contains the phoneme transcription of a phrase
wsep=' '; 

